| Home | Libraries | People | FAQ | More

## Function hash_value

boost::hash_value — Implementation of a hash function for built in arrays.

## Synopsis

    template<typename T, unsigned N> std::size_t hash_value(T (&val)[N] );
    template<typename T, unsigned N> std::size_t hash_value(const T (&val)[N] );

## Description

Generally shouldn't be called directly by users, instead they should use `boost::hash`, `boost::hash_range` or `boost::hash_combine` which call hash_value without namespace qualification so that overloads for custom types are found via ADL.

Notes: Overloads for other types supplied in other headers.

This is an extension to TR1

Returns: `hash_range(val, val+N)`

| Copyright © 2005 Daniel James